TLM-2.0: tlm::circular_buffer< T > Class Template Reference

# tlm::circular_buffer< T > Class Template Reference

`#include <circular_buffer.h>`

List of all members.

## Public Member Functions
| circular_buffer (int size)
circular_buffer< T > & | operator= (const circular_buffer< T > &)
| ~circular_buffer ()
void | resize (int size)
const T & | read ()
void | write (const T &)
bool | is_empty () const
bool | is_full () const
int | size () const
int | used () const
int | free () const
T & | write_data ()
const T & | read_data () const
const T & | peek_data (int i) const
T & | poke_data (int i)
void | increment_write_pos (int i=1)
void | increment_read_pos (int i=1)
void | init ()
void | debug () const

## Detailed Description

### template<typename T>
class tlm::circular_buffer< T >

Definition at line 30 of file circular_buffer.h.

## Constructor & Destructor Documentation

template<typename T >

tlm::circular_buffer< T >::circular_buffer | ( | int | size | ) | `[inline]`

Definition at line 112 of file circular_buffer.h.

template<typename T>

tlm::circular_buffer< T >::~circular_buffer | ( |  | ) | `[inline]`

Definition at line 37 of file circular_buffer.h.

## Member Function Documentation

template<typename T >

void tlm::circular_buffer< T >::debug | ( |  | ) | const`[inline]`

Definition at line 80 of file circular_buffer.h.

template<typename T>

int tlm::circular_buffer< T >::free | ( |  | ) | const`[inline]`

Definition at line 49 of file circular_buffer.h.

template<typename T >

void tlm::circular_buffer< T >::increment_read_pos | ( | int | i = `1` | ) | `[inline]`

Definition at line 225 of file circular_buffer.h.

template<typename T >

void tlm::circular_buffer< T >::increment_write_pos | ( | int | i = `1` | ) | `[inline]`

Definition at line 215 of file circular_buffer.h.

template<typename T >

void tlm::circular_buffer< T >::init | ( |  | ) | `[inline]`

Definition at line 166 of file circular_buffer.h.

template<typename T>

bool tlm::circular_buffer< T >::is_empty | ( |  | ) | const`[inline]`

Definition at line 44 of file circular_buffer.h.

template<typename T>

bool tlm::circular_buffer< T >::is_full | ( |  | ) | const`[inline]`

Definition at line 45 of file circular_buffer.h.

template<typename T >

circular_buffer< T > & tlm::circular_buffer< T >::operator= | ( | const circular_buffer< T > & | b | ) | `[inline]`

Definition at line 123 of file circular_buffer.h.

template<typename T>

const T& tlm::circular_buffer< T >::peek_data | ( | int | i | ) | const`[inline]`

Definition at line 54 of file circular_buffer.h.

template<typename T>

T& tlm::circular_buffer< T >::poke_data | ( | int | i | ) | `[inline]`

Definition at line 55 of file circular_buffer.h.

template<typename T >

const T & tlm::circular_buffer< T >::read | ( |  | ) | `[inline]`

Definition at line 191 of file circular_buffer.h.

template<typename T>

const T& tlm::circular_buffer< T >::read_data | ( |  | ) | const`[inline]`

Definition at line 52 of file circular_buffer.h.

template<typename T >

void tlm::circular_buffer< T >::resize | ( | int | size | ) | `[inline]`

Definition at line 139 of file circular_buffer.h.

template<typename T>

int tlm::circular_buffer< T >::size | ( |  | ) | const`[inline]`

Definition at line 47 of file circular_buffer.h.

template<typename T>

int tlm::circular_buffer< T >::used | ( |  | ) | const`[inline]`

Definition at line 48 of file circular_buffer.h.

template<typename T >

void tlm::circular_buffer< T >::write | ( | const T & | t | ) | `[inline]`

Definition at line 204 of file circular_buffer.h.

template<typename T>

T& tlm::circular_buffer< T >::write_data | ( |  | ) | `[inline]`

Definition at line 51 of file circular_buffer.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_1/tlm_req_rsp/tlm_channels/tlm_fifo/circular_buffer.h